# Standard things

sp 		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)

# Local variables

SRC_$(d)	:= $(d)/nstring.c $(d)/recharge.c $(d)/datab.c \
                   $(d)/ship.c $(d)/user.c $(d)/account.c

DEPS_$(d)	:= $(SRC_$(d):%.c=%.o.d)

CLEAN_OBJS_$(d)	:= $(SRC_$(d):%.c=%.o)

OBJS_$(d)	:= $(SRC_$(d):%.c=$(d)/libn.a(%.o))

CLEAN		:= $(CLEAN) $(CLEAN_OBJS_$(d)) $(DEPS_$(d)) $(d)/libn.a 

# Local rules

$(OBJS_$(d)): CF_TGT := -I$(d) -I/usr/local/BerkeleyDB.4.1/include

$(d)/libn.a: $(OBJS_$(d))

# Standard things

-include	$(DEPS_$(d))

d		:= $(dirstack_$(sp))
sp		:= $(basename $(sp))
